import { HttpClient as HC } from "./lib/http/http-client";
import { BackendProxy as BP } from "./lib/http/backend-proxy";
import { CreateBuildSessionIdRequest as CBIDRequest, CreateBuildSessionIdResponse as CBIDResponse, GetBuildSessionIdResponse as GBIDResponse } from "./lib/http/contracts";
export declare namespace SlJsInfra {
    type HttpClient = HC;
    const HttpClient: typeof HC;
    type BackendProxy = BP;
    const BackendProxy: typeof BP;
    namespace Entities {
        type CreateBuildSessionIdRequest = CBIDRequest;
        const CreateBuildSessionIdRequest: typeof CBIDRequest;
        type CreateBuildSessionIdResponse = CBIDResponse;
        const CreateBuildSessionIdResponse: typeof CBIDResponse;
        type GetBuildSessionIdResponse = GBIDResponse;
        const GetBuildSessionIdResponse: typeof GBIDResponse;
    }
}
