"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var contracts_1 = require("./contracts");
var EntitiesMapper = /** @class */ (function () {
    function EntitiesMapper() {
    }
    EntitiesMapper.toGetBuildSessionIdResponse = function (body) {
        if (body == null)
            return null;
        var response = new contracts_1.GetBuildSessionIdResponse();
        for (var paramName in body) {
            if (paramName == "buildName") {
                response.build = body[paramName];
            }
            else if (paramName == "branchName") {
                response.branch = body[paramName];
            }
            else {
                response[paramName.toLowerCase()] = body[paramName];
            }
        }
        return response;
    };
    EntitiesMapper.toCreateBuildSessionIdResponse = function (body) {
        if (body == null)
            return null;
        var response = new contracts_1.CreateBuildSessionIdResponse();
        response.buildSessionId = body;
        return response;
    };
    return EntitiesMapper;
}());
exports.EntitiesMapper = EntitiesMapper;
